import request from "@/utils/request";

// 查询网络文明自愿者列表
export function listVolunteer(query) {
  return request({
    url: "/zongzhi/volunteer/list",
    method: "get",
    params: query,
  });
}

// 查询网络文明自愿者详细
export function getVolunteer(id) {
  return request({
    url: "/zongzhi/volunteer/" + id,
    method: "get",
  });
}

// 新增网络文明自愿者
export function addVolunteer(data) {
  return request({
    url: "/zongzhi/volunteer",
    method: "post",
    data: data,
  });
}

// 修改网络文明自愿者
export function updateVolunteer(data) {
  return request({
    url: "/zongzhi/volunteer",
    method: "put",
    data: data,
  });
}

// 删除网络文明自愿者
export function delVolunteer(id) {
  return request({
    url: "/zongzhi/volunteer/" + id,
    method: "delete",
  });
}

// 导出网络文明自愿者
export function exportVolunteer(data) {
  return request({
    url: "/zongzhi/volunteer/export",
    method: "post",
    data,
  });
}
